# ####################################################################################################
# 服务端配置
server.port=8091
server.servlet.context-path=/
server.tomcat.uri-encoding=UTF-8
server.tomcat.max-http-post-size=-1
server.connection-timeout=18000000s
# ####################################################################################################
# thymeleaf 配置
spring.thymeleaf.cache=false
spring.thymeleaf.jackson.time-zone=GMT+8
spring.thymeleaf.jackson.date-format=yyyy-MM-dd HH:mm:ss
# ####################################################################################################
# 数据源配置
spring.datasource.driver-class-name=com.mysql.cj.jdbc.Driver
spring.datasource.url=jdbc:mysql://118.190.47.230:3306/lishui_app?useUnicode=true&characterEncoding=utf8&serverTimezone=GMT%2B8
spring.datasource.username=root
spring.datasource.password=p011430seya1026
##主数据库
#spring.datasource.driver-class-name=com.mysql.cj.jdbc.Driver
#spring.datasource.hikari.db1.jdbc-url=jdbc:mysql://118.190.47.230:3306/lishui_app?useUnicode=true&characterEncoding=utf8&serverTimezone=GMT%2B8
#spring.datasource.hikari.db1.username=root
#spring.datasource.hikari.db1.password=p011430seya1026
##从数据库
#spring.datasource.hikari.db2.jdbc-url=jdbc:mysql://localhost:3306/lishui_app?useUnicode=true&characterEncoding=utf8&serverTimezone=GMT%2B8
#spring.datasource.hikari.db2.username=root
#spring.datasource.hikari.db2.password=p011430seya
#spring.datasource.hikari.db2.driver-class-name=com.mysql.cj.jdbc.Driver

#spring.datasource.druid.test-on-borrow=true
#spring.datasource.druid.test-while-idle=true
# ####################################################################################################
# MyBatis 配置
mybatis.mapper-locations=mappers/*Mapper.xml
mybatis.type-aliases-package=com.hssx.pcbms.entity/*
# 控制台输出SQL语句
logging.level.com.hssx.pcbms.mapper = debug
# ####################################################################################################
#配置Session
spring.session.store-type=none
# ####################################################################################################
#成功页面跳转
spring.thymeleaf.prefix=classpath:/static/
######################################################################################################
## redis 配置
#spring.redis.host=localhost
#spring.redis.port=6379
######################################################################################################
# 文件上传路径
upload.path=D:/lsbms/upload/
######################################################################################################
# 备用密码
sysPwd=lsbms
#######################################################################################################
# 配置上传文件的大小设置
# Single file max size  即单个文件大小
spring.servlet.multipart.max-file-size=10000MB
spring.servlet.multipart.max-request-size=10000MB
##################SpringBoot连接池配置########
spring.datasource.hikari.minimum-idle=3
spring.datasource.hikari.maximum-pool-size=10
spring.datasource.hikari.max-lifetime =30000
spring.datasource.hikari.connection-test-query=SELECT 1
logging.path=E:/
##################开门接口的地址####################################################
open.door.url=https://118.190.47.230:8080/racksystem/openDoor.do

